## org.codehaus.groovy.ast.expr
Class CastExpression

Represents a type cast expression

author:
  James Strachan

version:
  $Revision: 7922 $

Field Summary
`boolean` | `coerce`
`Expression` | `expression`
`boolean` | `ignoreAutoboxing`

Constructor Summary
`CastExpression(ClassNode type, Expression expression)`
`CastExpression(ClassNode type, Expression expression, boolean ignoreAutoboxing)`

Method Summary
`static CastExpression` | `asExpression(ClassNode type, Expression expression)`
`Expression` | `getExpression()`
`String` | `getText()`
`boolean` | `isCoerce()`
`boolean` | `isIgnoringAutoboxing()`
`void` | `setCoerce(boolean coerce)`
`void` | `setType(ClassNode t)`
`String` | `toString()`
`Expression` | `transformExpression(ExpressionTransformer transformer)`
`void` | `visit(GroovyCodeVisitor visitor)`

Constructor Detail

### CastExpression

    public CastExpression(ClassNode type, Expression expression)

### CastExpression

    public CastExpression(ClassNode type, Expression expression, boolean ignoreAutoboxing)

Method Detail

### asExpression

    public static CastExpression asExpression(ClassNode type, Expression expression)

### getExpression

    public Expression getExpression()

### getText

    public String getText()

### isCoerce

    public boolean isCoerce()

### isIgnoringAutoboxing

    public boolean isIgnoringAutoboxing()

### setCoerce

    public void setCoerce(boolean coerce)

### setType

    public void setType(ClassNode t)

### toString

    public String toString()

### transformExpression

    public Expression transformExpression(ExpressionTransformer transformer)

### visit

    public void visit(GroovyCodeVisitor visitor)